import sidebarlogo from '../assets/icons/sidebarlogo.svg'
import dashboardunlighted from '../assets/icons/dashboardunlighted.svg'
import dashboardlighted from '../assets/icons/dashboardlighted.svg'
import mailunlighted from '../assets/icons/mailunlighted.svg'
import maillighted from '../assets/icons/maillighted.svg'
import chartunlighted from '../assets/icons/chartunlighted.svg'
import chartlighted from '../assets/icons/chartlighted.svg'
import carunlighted from '../assets/icons/carunlighted.svg'
import carlighted from '../assets/icons/carlighted.svg'
import adminunlighted from '../assets/icons/adminunlighted.svg'
import adminlighted from '../assets/icons/adminlighted.svg'
import boldcar from '../assets/icons/boldcar.svg'
import modalbackbtn from '../assets/icons/modelbackbtn.svg'
import arrowseagreen from '../assets/icons/arrowseagreen.svg'
import bluearrow from '../assets/icons/bluearrow.svg'
import Fullscreen from '../assets/icons/Fullscreen.svg'
import Electricity from '../assets/icons/Electricity.svg'
import empty from '../assets/icons/empty.svg'
import inUse from '../assets/icons/inUse.svg'
import locked from '../assets/icons/locked.svg'
import reserved from '../assets/icons/reserved.svg'
import accessibleEmpty from '../assets/icons/accessibleEmpty.svg'
import accessibleInUse from '../assets/icons/accessibleInUse.svg'
import accessiblereserved from '../assets/icons/accessiblereserved.svg'
import SpotPark_Logo from '../assets/icons/SpotPark_Logo.svg'
import searchUserIcon from '../assets/icons/searchUserIcon.svg'
import monitoringIcon from '../assets/icons/monitoring.svg'
import monitorHighlited from '../assets/icons/monitorHighlited.svg'
import holidayIcon from '../assets/icons/holidayicon.svg'
import holidayIconUpdated from '../assets/icons/holidayiconupdated.svg'
import sortIcon from '../assets/icons/Sort.svg'
import usersHighlighted from '../assets/icons/UsersHighlighted.svg'
import usersUnhighlighted from '../assets/icons/UsersUnhighlited.svg'
import firstLoginTick from '../assets/icons/firstLoginTick.svg'
import lockedUp from '../assets/icons/lockedUp.svg'
import activeSort from '../assets/icons/activeSort.svg'
import electricNewUserTable from '../assets/icons/electricNewUserTable.svg'
import disableNewUserTable from '../assets/icons/disableNewUserTable.svg'
import dropdowncheckbox from '../assets/icons/dropdowncheckbox.svg'
import dropdonwminuscheckbox from '../assets/icons/dropdonwminuscheckbox.svg'
import dropdownuncheckedcheckbox from '../assets/icons/dropdownuncheckedcheckbox.svg'
import sort_up from "../assets/icons/sort_up.svg"


export const svgImages = {
  sidebarlogo,
  sort_up,
  dashboardunlighted,
  dashboardlighted,
  mailunlighted,
  maillighted,
  chartunlighted,
  chartlighted,
  carunlighted,
  carlighted,
  adminunlighted,
  adminlighted,
  boldcar,
  modalbackbtn,
  arrowseagreen,
  bluearrow,
  Fullscreen,
  Electricity,
  empty,
  inUse,
  locked,
  reserved,
  accessibleEmpty,
  accessibleInUse,
  accessiblereserved,
  SpotPark_Logo,
  searchUserIcon,
  monitoringIcon,
  monitorHighlited,
  holidayIcon,
  holidayIconUpdated,
  sortIcon,
  usersHighlighted,
  usersUnhighlighted,
  firstLoginTick,
  lockedUp,
  activeSort,
  electricNewUserTable,
  disableNewUserTable,
  dropdowncheckbox,
  dropdonwminuscheckbox,
  dropdownuncheckedcheckbox



}


export const IMAGES = {
  logo: require('../assets/images/logo.png'),
  background: require('../assets/images/authBg.png'),
  backbtn: require('../assets/images/backbutton.png'),
  lock: require('../assets/images/lock.png'),
  unlock: require('../assets/images/unlock.png'),
  warning: require('../assets/images/warning.png'),
  updatedbg: require('../assets/images/updatedbg.png'),
  dotedlines: require('../assets/images/dotedlines.png'),
  YBS_Logo: require('../assets/images/YSB_logo.png'),
  YBS_Logo_grey: require('../assets/images/YSB_logo_grey.png'),
  hebrewBtmlogo: require('../assets/images/navbtmhebrew.png'),
  enflag: require('../assets/images/enFlag.png'),
  heflag: require('../assets/images/heFlag.png'),
  empty: require('../assets/images/empty.png'),
  emptyred: require('../assets/images/emptyred.png'),
  emptyblue: require('../assets/images/emptyblue.png'),
  reserved: require('../assets/images/reserved.png'),
  inuse: require('../assets/images/inuse.png'),
  locked: require('../assets/images/locked.png'),
  accessible: require('../assets/images/accessible.png'),
  electricred: require('../assets/images/electricred.png'),
  electricwhite: require('../assets/images/electricwhite.png'),

  // Add more image paths as needed
};

import moment from 'moment'


// export const addTime = (time1, time2) => {
//   const [hour1, minute1] = time1.split(':').map(Number);
//   const [hour2, minute2] = time2.split(':').map(Number);
//   let totalMinutes = (hour1 + hour2) * 60 + minute1 + minute2;
//   const hours = Math.floor(totalMinutes / 60);
//   const minutes = totalMinutes % 60;
//   const formatted = String(hours).padStart(2, '0') + ':' + String(minutes).padStart(2, '0');
//   return formatted;
// };

export const addTime = (time1, time2) => {
  const [hour1, minute1] = time1.split(':').map(Number);
  const [hour2, minute2] = time2.split(':').map(Number);
  let totalMinutes = (hour1 + hour2) * 60 + minute1 + minute2;
  const hours = (Math.floor(totalMinutes / 60)) % 24; // Ensure hours stay within 24-hour format
  const minutes = totalMinutes % 60;
  const formatted = String(hours).padStart(2, '0') + ':' + String(minutes).padStart(2, '0');
  return formatted;
};

export const getCorrectDateTime = (date) => {
  const hours = Number(moment(date).format('HH'))
  const minutes = Number(moment(date).format('mm'))
  date?.setUTCHours(hours, minutes, 0)
  date?.setUTCMilliseconds(0)
  return date.toISOString()
}


const basePath = "http://192.168.18.122:3001/" // local
// const basePath = "https://aae8-154-192-139-34.ngrok-free.app/" //ngrok link

// const basePath = "https://api.spotparkiec.globalaap.com/" //stage link

// const basePath = "https://api.spotparkiec.ariel-wimasor.co.il/" //new production live

export const apiUtility = {
  baseURL: basePath + 'api/v2.9.3/', // local
};

// Image Path
export const imagePath = (fullPath) => {
  return basePath + 'public/images/' + fullPath.split('/').pop()
}
